Solved

Getting error when attempting theme pull with Shopify-CLI

ed_meehan
Shopify Partner
15 1 5

Screen Shot 2023-02-22 at 3.18.31 PM.png

I am able to succesfully auth, but any command after that will throw this same error. I tried uninstall and reinstall with Homebrew. I tried the OSX native version of Ruby as well as the Ruby version installed by Homebrew with the same error. Please help, not finding any results in searches that match my problem, mostly issues with people installing the ruby gem version, and not the homebrew version. 

OSX: 12.6.3
Shopify CLI: 3.44.0
Ruby: 3.2.1

Gem: 3.4.6

Gem bundler package: default: 2.4.6

Accepted Solution (1)

ed_meehan
Shopify Partner
15 1 5

This is an accepted solution.

The issue was known and a fix has been released - https://github.com/Shopify/cli/issues/1428

View solution in original post

Reply 1 (1)

ed_meehan
Shopify Partner
15 1 5

This is an accepted solution.

The issue was known and a fix has been released - https://github.com/Shopify/cli/issues/1428